prism.h File Reference

Deals with triangular prisms defined by slicing along normal quads in a tetrahedron. More...

`#include <iostream>`
`#include "regina-core.h"`

## Classes

struct | regina::PrismSpec
| Specifies a single triangular prism in a tetrahedron. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef PrismSpec | regina::NPrismSpec
| Deprecated typedef for backward compatibility. More...

## Functions

std::ostream & | regina::operator<< (std::ostream &out, const PrismSpec &spec)
| Writes the given prism specifier to the given output stream. More...

## Detailed Description

Deals with triangular prisms defined by slicing along normal quads in a tetrahedron.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).